Sign Multipart Parts
curl --request POST \
--url https://api.example.com/api/v1/users/{user_id}/import/apple/xml/s3/multipart/sign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"upload_id": "<string>",
"part_numbers": [
5000
],
"expiration_seconds": 86400
}
'import requests
url = "https://api.example.com/api/v1/users/{user_id}/import/apple/xml/s3/multipart/sign"
payload = {
"key": "<string>",
"upload_id": "<string>",
"part_numbers": [5000],
"expiration_seconds": 86400
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
upload_id: '<string>',
part_numbers: [5000],
expiration_seconds: 86400
})
};
fetch('https://api.example.com/api/v1/users/{user_id}/import/apple/xml/s3/multipart/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"urls": [
{
"part_number": 5000,
"url": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Apple Health Import
Sign Multipart Parts
Presign upload URLs for a batch of parts of an in-progress multipart upload.
POST
/
api
/
v1
/
users
/
{user_id}
/
import
/
apple
/
xml
/
s3
/
multipart
/
sign
Sign Multipart Parts
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Body
application/json
Object key returned by create
Maximum string length:
1024Upload id returned by create
Maximum string length:
1024Part numbers (1-based) to presign upload URLs for
Required array length:
1 - 10000 elementsRequired range:
1 <= x <= 10000Presigned URL lifetime in seconds
Required range:
60 <= x <= 86400Response
Successful Response
Show child attributes
Show child attributes
⌘I

